πŸš€ Fansly API (Alpha) is live!WIP - Updated Daily
Fansly API Logo
Account

Disconnect Account

Disconnect a Fansly account. This action is final and the account will no longer be available for API operations until you reconnect it.

https://v1.apifansly.com
DELETE
/api/fansly/accounts/{accountId}

Path Parameters

accountId*
string
The unique identifier of the connected Fansly account.

Get Started

All requests to the Fansly API require an API Key. See the Authentication page for details.

Authentication

curl -X DELETE "https://v1.apifansly.com/api/fansly/accounts/fansly_42dbe..." \
  -H "x-api-key: YOUR_API_KEY"
fetch("https://v1.apifansly.com/api/fansly/accounts/fansly_42dbe...", {
  method: "DELETE",
  headers: {
    "x-api-key": "YOUR_API_KEY"
  }
})
import requests

url = "https://v1.apifansly.com/api/fansly/accounts/fansly_42dbe..."
headers = {"x-api-key": "YOUR_API_KEY"}

response = requests.delete(url, headers=headers)
print(response.json())
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

HttpClient client = HttpClient.newHttpClient();

HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://v1.apifansly.com/api/fansly/accounts/fansly_42dbe..."))
        .header("x-api-key", "YOUR_API_KEY")
        .DELETE()
        .build();

client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
        .thenApply(HttpResponse::body)
        .thenAccept(System.out::println)
        .join();
using System.Net.Http;
using System.Threading.Tasks;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");

var response = await client.DeleteAsync("https://v1.apifansly.com/api/fansly/accounts/fansly_42dbe...");
var responseString = await response.Content.ReadAsStringAsync();

Console.WriteLine(responseString);
package main

import (
    "fmt"
    "net/http"
)

func main() {
    url := "https://v1.apifansly.com/api/fansly/accounts/fansly_42dbe..."
    req, _ := http.NewRequest("DELETE", url, nil)
    req.Header.Set("x-api-key", "YOUR_API_KEY")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    fmt.Println(resp.Status)
}

Response

{
    "statusCode": 200,
    "message": "Success",
    "data": {
        "success": true,
        "message": "Account deleted successfully"
    },
    "timestamp": "2026-02-09T17:30:00.000Z"
}
{
    "statusCode": 404,
    "message": "Account not found",
    "timestamp": "2026-02-09T17:30:00.000Z"
}

Response Body

FieldTypeDescription
statusCodenumberThe HTTP status code of the response (e.g., 200)
messagestringA human-readable message about the result
dataobjectThe main response payload
β”œβ”€ successbooleanIndicates if the account was successfully disconnected
└─ messagestringA detailed message about the operation
timestampstringThe ISO 8601 timestamp of generation

On this page